export interface DrupalJsonApiParamsInterface {
    initialize(input: string | object | DrupalJsonApiParamsInterface): DrupalJsonApiParams;
    getQueryObject(): object;
}
export declare class DrupalJsonApiParams implements DrupalJsonApiParamsInterface {
    private data;
    addFields(type: string, fields: string[]): DrupalJsonApiParams;
    addSort(path: string, direction?: string): DrupalJsonApiParams;
    addPageLimit(limit: number): DrupalJsonApiParams;
    addInclude(fields: string[]): DrupalJsonApiParams;
    addGroup(name: string, conjunction?: string, memberOf?: string): DrupalJsonApiParams;
    addFilter(path: string, value: string | string[] | null, operator?: string, memberOf?: string): DrupalJsonApiParams;
    private getIndexId;
    getQueryObject(): object;
    getQueryString(options?: object): string;
    clear(): this;
    initializeWithQueryObject(input: any): this;
    initializeWithQueryString(input: string): this;
    clone(input: DrupalJsonApiParamsInterface): this;
    initialize(input: string | object | DrupalJsonApiParamsInterface): DrupalJsonApiParams;
}
